Class CreateFolderBatchBuilder

java.lang.Object
com.dropbox.core.v2.files.CreateFolderBatchBuilder

public class CreateFolderBatchBuilder extends Object
The request builder returned by DbxUserFilesRequests.createFolderBatchBuilder(java.util.List<java.lang.String>).

Use this class to set optional request parameters and complete the request.

  • Method Details

    • withAutorename

      public CreateFolderBatchBuilder withAutorename(Boolean autorename)
      Set value for optional field.

      If left unset or set to null, defaults to false.

      Parameters:
      autorename - If there's a conflict, have the Dropbox server try to autorename the folder to avoid the conflict. Defaults to false when set to null.
      Returns:
      this builder
    • withForceAsync

      public CreateFolderBatchBuilder withForceAsync(Boolean forceAsync)
      Set value for optional field.

      If left unset or set to null, defaults to false.

      Parameters:
      forceAsync - Whether to force the create to happen asynchronously. Defaults to false when set to null.
      Returns:
      this builder
    • start

      Issues the request.
      Throws:
      DbxApiException
      DbxException